<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-182 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;" bgcolor="#ffffff">
<center>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="287" valign="top" ><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="238" height="65" background="images/003.gif" style="background-position:top;background-repeat:repeat-x;"><table width="190" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td class="slogan"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="1" bgcolor="#FFFFFF"></td>
      </tr>
      <tr>
        <td width="238" height="221" background="images/004.gif"><!-- LOGO --><table width="190" border="0" align="center" cellpadding="3" cellspacing="0">
          <tr>
            <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
        </table><!-- END LOGO --></td>
      </tr>
    </table></td>
    <td width="1" bgcolor="#FFFFFF"></td>
    <td valign="bottom" background="images/009.gif" style="background-position:bottom;background-repeat:repeat-x;"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="65" background="images/011.gif"><div align="right">
              <table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td><div align="right"><img src="images/header2.gif" width="402" height="65"/></div></td>
                <td width="1" bgcolor="#FFFFFF"><div align="right"></div></td>
                  <td width="26"><div align="right"><img src="images/013.gif" width="26" height="65"/></div></td>
                </tr>
              </table>
            </div></td>
            <td width="1" rowspan="3" bgcolor="#FFFFFF"></td>
            <td><img src="images/012.gif" width="76" height="65"/></td>
          </tr>
          <tr bgcolor="#FFFFFF">
            <td height="1"></td>
            <td height="1"></td>
          </tr>
          <tr>
            <td valign="top" background="images/header1.gif"><div align="right"><img src="images/header.gif" width="464" height="160"/></div></td>
            <td width="76" align="right" valign="top"><img src="images/010.gif" width="76" height="160"/></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="1" bgcolor="#FFFFFF"></td>
      </tr>
      <tr>
        <td height="60"><!-- MENU --><table align="center" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="10"></td>
            <xsl:call-template name="TOP-MENU"/>
            <td width="10"></td>
          </tr>
        </table><!-- END MENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td height="1"></td>
    <td width="1" height="1"></td>
    <td height="1"></td>
  </tr>
  <tr>
    <td width="238" valign="top" background="images/001.gif" style="padding-top:15px;padding-bottom:15px;"><table width="238" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td> <!-- SUBMENU --><table width="187" border="0" align="center" cellpadding="0" cellspacing="0">
         <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table><!-- END SUBMENU --></td>
      </tr>
    </table>
     
    </td>
    <td width="1" bgcolor="#FFFFFF"></td>
    <td height="100%" valign="top" background="images/002.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td valign="top"><!-- CONTENT --><table width="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td><br/><table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td style="padding-left:20px;"><span class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                  <td><img src="images/008.gif" width="17" height="17"/></td>
                </tr>
              </table>
     <table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table></td>
          </tr>
        </table><!-- END CONTENT --></td>
        <td width="1" bgcolor="#FFFFFF"></td>
        <td width="76" background="images/007.gif"></td>
      </tr>
    </table></td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td height="1"></td>
    <td width="1" height="1"></td>
    <td height="1"></td>
  </tr>
  <tr>
    <td width="238" background="images/002.gif" style="padding-top:20px;padding-bottom:15px;"><!-- FOOTER --><table width="187" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
      </tr>
    </table><!-- END FOOTER --></td>
    <td width="1" bgcolor="#FFFFFF"></td>
    <td background="images/003.gif" style="background-position:top;background-repeat:repeat-x;"> <!-- BOTTOM MENU --><table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
	   <td style="width:10px;"></td>
        <xsl:call-template name="BOTTOM-MENU"/>
        <td style="width:10px;"></td>
      </tr>
    </table> <!-- END BOTTOM MENU --></td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="s1"><img src="images/005.gif" width="10" height="7"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


 <tr>
<td class="s1"><img src="images/005.gif" width="10" height="7"/></td>
<td class="smenua"><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr background="images/line.gif">
<td height="20" colspan="2" background="images/line.gif"></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td class="t1"><img src="images/006.gif" width="9" height="7"/></td>
<td class="tmenua"><a href='{@HREF}' class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >


<td class="t1"><img src="images/006.gif" width="9" height="7"/></td>
<td class="tmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
<td class="t1"><img src="images/006.gif" width="9" height="7"/></td>
<td class="tmenua"><a href='{@HREF}' class="tmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a> </td>


	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">

<td width="14"></td>

  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
