<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- av-226 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="17" background="images/av226_01.jpg"><img src="images/f.gif" width="20" height="45" /></td>
  </tr>
  <tr>
    <td height="48" valign="top" background="images/av226_11.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="64" valign="top" background="images/av226_10.jpg"><img src="images/av226_04.jpg" width="64" height="48" alt="" /></td>
        <td width="100%" align="center" valign="top" style="background-image: url(images/av226_05.jpg);
	background-repeat: repeat-x;
	background-position: center top;">
<!-- MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="TOP-MENU"/>
          </tr>
        </table>
<!-- END MENU -->
		</td>
        <td width="68" align="right" valign="top" background="images/av226_13.jpg"><img src="images/av226_09.jpg" width="68" height="48" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/av226_15.jpg" height="3"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="left" height="3"><img src="images/av226_14.jpg" width="54" height="3" alt="" /></td>
        <td align="right" height="3"><img src="images/av226_19.jpg" width="53" height="3" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="209" valign="top" background="images/headerbg.jpg"><table width="100%" height="209"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="5%" valign="bottom" background="images/av226_32.jpg"><img src="images/av226_20.jpg" width="54" height="209" alt="" /></td>
        <td width="100%" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: right top; padding-left: 50px; ">
<!-- LOGO -->
	<table width="250" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
          </tr>
          <tr>
            <td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
        <td width="53" valign="bottom" background="images/av226_25.jpg"><img src="images/av226_26.jpg" width="53" height="182" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="2" background="images/av226_28.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="left"><img src="images/av226_27.jpg" width="54" height="2" alt="" /></td>
        <td align="right"><img src="images/av226_31.jpg" width="53" height="2" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="54" valign="bottom" background="images/av226_32.jpg">
<div style="width:54px; height:10px;">
  <span></span></div><img src="images/av226_45.jpg" /> </td>
        <td width="190" height="100%" align="right" valign="top" background="images/av226_53.jpg">
	<div style="width:190px; height:27px;"></div>
<!-- SUBMENU -->
	  <table width="160" border="0" cellspacing="0" cellpadding="0">
	  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
      </table>
<!-- END SUBMENU -->
		</td>
        <td width="1" background="images/av226_35.jpg"><img src="images/f.gif" width="1" height="10" /></td>
        <td width="100%" height="100%" valign="top" background="images/av226_53.jpg" style="padding: 25px;">
<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/av226_41.jpg" width="29" height="17" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
   		    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		    </tr></table>
			<!-- END CONTENT -->
		</td>
        <td width="53" valign="bottom" background="images/av226_38.jpg">
		<div style="width:53px; height:10px;"><span></span></div>
        <img src="images/av226_47.jpg" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/av226_57.jpg" height="1"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td align="left"><img src="images/av226_56.jpg" width="76" height="1" alt="" /></td>
        <td align="right"><img src="images/av226_60.jpg" width="68" height="1" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td valign="top" background="images/av226_62.jpg"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="76" valign="bottom" background="images/av226_61.jpg"><img src="images/av226_64.jpg" width="76" height="51" alt="" /></td>
        <td width="100%" align="center" valign="top" style="background-image: url(images/av226_65.jpg);
	background-repeat: repeat-x;
	background-position: center bottom;">
<!-- BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- END BOOTTOM MENU -->
		</td>
        <td width="68" valign="bottom" background="images/av226_63.jpg"><img src="images/av226_66.jpg" width="68" height="51" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="49" align="center" background="images/av226_67.jpg" class="pageContent">
<!-- FOOTER -->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!-- END FOOTER -->
	</td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
          <td width="15" valign="bottom"><img src="images/av226_43.jpg" width="24" height="20" alt="" /></td>
          <td width="135" valign="top" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
        </tr>
        <tr align="left" background="images/av226_49.jpg">
          <td colspan="2"><img src="images/av226_48.jpg" width="24" height="1" alt="" /></td>
         </tr>
        <tr>
          <td colspan="2"><img src="images/f.gif" width="1" height="7" /></td>
         </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
          <td width="15" valign="bottom"><img src="images/av226_43.jpg" width="24" height="20" alt="" /></td>
          <td width="135" valign="top"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </tr>
        <tr align="left" background="images/av226_49.jpg">
          <td colspan="2"><img src="images/av226_48.jpg" width="24" height="1" alt="" /></td>
         </tr>
        <tr>
          <td colspan="2"><img src="images/f.gif" width="1" height="7" /></td>
         </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
   <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
   <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
   <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	    <td width="30" align="center" valign="top"><img src="images/bullet-bo.gif" width="11" height="28" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
